> ## Documentation Index
> Fetch the complete documentation index at: https://www.text.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get an organization

> This function retrieves a single organization based on the provided organization ID. You can use `my` instead of an ID to get the organization linked with the access token used in the request.



## OpenAPI

````yaml /api/global-accounts/openapi.json get /organizations/{organization_id}
openapi: 3.0.0
info:
  title: Global Accounts API
  description: >-
    API used to manage Organizations and Accounts for multiple products. Also
    responsible for authorization and authentication processes.
  version: 2.0.0
servers:
  - url: https://accounts.livechat.com/v2
    description: Main production server URL
security: []
paths:
  /organizations/{organization_id}:
    get:
      tags:
        - Organizations
      summary: Get an organization
      description: >-
        This function retrieves a single organization based on the provided
        organization ID. You can use `my` instead of an ID to get the
        organization linked with the access token used in the request.
      parameters:
        - in: path
          name: organization_id
          schema:
            type: string
            format: uuid
          required: true
          description: Unique organization ID or `my`.
      responses:
        '200':
          description: 'OK: Returns the organization.'
          content:
            application/json:
              schema:
                allOf:
                  - description: >-
                      Organization groups accounts into a single unit. Each
                      organization must contain at least one account and one
                      owner. An account can be assigned to many organizations at
                      once. The default organization is the first assigned to a
                      given account.
                    type: object
                    properties:
                      organization_id:
                        type: string
                        format: uuid
                        default: my
                        readOnly: true
                        description: Unique organization identifier.
                      name:
                        type: string
                        description: The organization name.
                        exclusiveMaximum: false
                        maxLength: 127
                      invitation_mode:
                        type: string
                        description: >-
                          Controls invitation permissions for the organization.
                          Determines whether all paid roles or only privileged
                          roles can send product invitations.
                        enum:
                          - lax
                          - strict
                        default: lax
                      domain_whitelist:
                        type: boolean
                        description: >-
                          If `true`: email address domain whitelisting is
                          enabled.
                        default: false
                      products:
                        type: array
                        description: Installed products in the organization.
                        readOnly: true
                        items:
                          type: object
                          properties:
                            product:
                              type: string
                              description: The default product for the account.
                              enum:
                                - LiveChat
                                - Accounts
                                - ChatBot
                                - HelpDesk
                                - OpenWidget
                            created_at:
                              readOnly: true
                              type: string
                              format: date-time
                              description: Creation date of the resource.
                      updated_at:
                        readOnly: true
                        type: string
                        format: date-time
                        description: Date of the most recent modification to the resource.
                      created_at:
                        readOnly: true
                        type: string
                        format: date-time
                        description: Creation date of the resource.
                  - type: object
                    properties:
                      company:
                        description: Basic company information.
                        type: object
                        properties:
                          phone:
                            type: string
                            description: The company phone number.
                            exclusiveMaximum: false
                            maxLength: 20
                          website:
                            type: string
                            description: The primary company website.
                            exclusiveMaximum: false
                            maxLength: 255
                          name:
                            type: string
                            description: The company name.
                            exclusiveMaximum: false
                            maxLength: 255
                          industry:
                            type: string
                            description: The company industry.
                            exclusiveMaximum: false
                            maxLength: 255
                          company_size:
                            type: string
                            description: The company size.
                            exclusiveMaximum: false
                            maxLength: 255
                          audience:
                            type: array
                            description: The company audience.
                            items:
                              type: string
                              enum:
                                - B2B
                                - B2C
                                - Internal use
                            uniqueItems: true
                          street:
                            type: string
                            description: The company street address.
                            exclusiveMaximum: false
                            maxLength: 255
                          city:
                            type: string
                            description: The company city.
                            exclusiveMaximum: false
                            maxLength: 255
                          state:
                            type: string
                            description: The company state.
                            exclusiveMaximum: false
                            maxLength: 255
                          zipcode:
                            type: string
                            description: The company zipcode.
                            exclusiveMaximum: false
                            maxLength: 20
                          country:
                            type: string
                            description: The company country.
                            exclusiveMaximum: false
                            maxLength: 255
                          logo:
                            type: string
                            description: The company logo URL.
                            exclusiveMaximum: false
                            maxLength: 65535
                          tagline:
                            type: string
                            description: The company tagline.
                            exclusiveMaximum: false
                            maxLength: 65535
                          twitter:
                            type: string
                            description: The company Twitter profile.
                            maxLength: 255
                            exclusiveMaximum: false
                          instagram:
                            type: string
                            description: The company Instagram profile.
                            maxLength: 255
                            exclusiveMaximum: false
                          linkedin:
                            type: string
                            description: The company LinkedIn profile.
                            maxLength: 255
                            exclusiveMaximum: false
                          facebook:
                            type: string
                            description: The company Facebook profile.
                            maxLength: 255
                            exclusiveMaximum: false
              example:
                organization_id: b2185556-634c-4ecf-b4c9-bcf8b65bc853
                name: Text
                invitation_mode: lax
                domain_whitelist: false
                products:
                  - product: LiveChat
                    created_at: '2026-06-03T10:53:04.000Z'
                updated_at: '2026-06-03T10:53:04.000Z'
                created_at: '2026-06-03T10:53:04.000Z'
                company:
                  name: Text
                  website: https://text.com
        '401':
          description: Unauthorized, missing, or invalid authorization.
          content:
            application/json:
              schema:
                allOf:
                  - description: The default error object.
                    type: object
                    properties:
                      error:
                        description: The error code.
                        type: string
                        enum:
                          - bad_request
                          - invalid_request
                          - unauthorized_client
                          - unauthorized
                          - access_denied
                          - unsupported_response_type
                          - invalid_scope
                          - server_error
                          - temporarily_unavailable
                          - unsupported_grant_type
                          - invalid_grant
                          - invalid_client
                          - conflict
                          - resource_not_found
                          - join_link_expired
                          - traffic_blocked
                          - not_implemented
                      error_description:
                        type: string
                      sub_error:
                        description: The error subcode.
                        type: string
                        nullable: true
                      request_id:
                        description: Unique request identifier.
                        type: string
                        format: uuid
                  - type: object
                    properties:
                      error:
                        type: string
                      error_description:
                        type: string
              example:
                error: unauthorized
                error_description: The account is not authorized.
                request_id: 5903c51b-89f0-41a9-a25d-4f39af100353
        '404':
          description: 'Not found: The organization doesn''t exist.'
          content:
            application/json:
              schema:
                allOf:
                  - allOf:
                      - description: Returned on validation errors.
                        allOf:
                          - description: The default error object.
                            type: object
                            properties:
                              error:
                                description: The error code.
                                type: string
                                enum:
                                  - bad_request
                                  - invalid_request
                                  - unauthorized_client
                                  - unauthorized
                                  - access_denied
                                  - unsupported_response_type
                                  - invalid_scope
                                  - server_error
                                  - temporarily_unavailable
                                  - unsupported_grant_type
                                  - invalid_grant
                                  - invalid_client
                                  - conflict
                                  - resource_not_found
                                  - join_link_expired
                                  - traffic_blocked
                                  - not_implemented
                              error_description:
                                type: string
                              sub_error:
                                description: The error subcode.
                                type: string
                                nullable: true
                              request_id:
                                description: Unique request identifier.
                                type: string
                                format: uuid
                          - type: object
                            properties:
                              resource_name:
                                description: The name of the resource related to the error.
                                type: string
                              resource_id:
                                description: >-
                                  The identifier of the resource related to the
                                  error.
                                type: string
                      - type: object
                        properties:
                          error:
                            type: string
                          error_description:
                            type: string
                  - type: object
                    properties:
                      resource_name:
                        type: string
                      resource_id:
                        type: string
                        format: uuid
              example:
                error: resource_not_found
                error_description: The requested resource couldn't be found.
                resource_name: account
                resource_id: def31e95-5ca4-4817-b176-732e4544daca
                request_id: 5903c51b-89f0-41a9-a25d-4f39af100353
        '500':
          description: Server Error.
          content:
            application/json:
              schema:
                allOf:
                  - description: The default error object.
                    type: object
                    properties:
                      error:
                        description: The error code.
                        type: string
                        enum:
                          - bad_request
                          - invalid_request
                          - unauthorized_client
                          - unauthorized
                          - access_denied
                          - unsupported_response_type
                          - invalid_scope
                          - server_error
                          - temporarily_unavailable
                          - unsupported_grant_type
                          - invalid_grant
                          - invalid_client
                          - conflict
                          - resource_not_found
                          - join_link_expired
                          - traffic_blocked
                          - not_implemented
                      error_description:
                        type: string
                      sub_error:
                        description: The error subcode.
                        type: string
                        nullable: true
                      request_id:
                        description: Unique request identifier.
                        type: string
                        format: uuid
                  - type: object
                    properties:
                      error:
                        type: string
                      error_description:
                        type: string
              example:
                error: server_error
                error_description: >-
                  The server encountered an unexpected condition that prevented
                  it from fulfilling the request.
                request_id: 5903c51b-89f0-41a9-a25d-4f39af100353
      security:
        - PersonalAccessToken: []
        - OAuth2BearerToken: []
components:
  securitySchemes:
    PersonalAccessToken:
      description: >-
        Use your `account ID` as the username and your personal access token
        (PAT) as the password, or pass a Base64-encoded value directly in the
        Authorization header. For more information, see the <a
        href="/authentication/personal-access-tokens">personal access tokens
        guide</a>.
      type: http
      scheme: basic
    OAuth2BearerToken:
      description: >-
        This API uses OAuth2 with the implicit grant flow. <a
        href="/authentication/oauth-authorization#implicit-grant">Learn about
        the implicit grant flow.</a>
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://accounts.livechat.com
          scopes: {}
        authorizationCode:
          authorizationUrl: https://accounts.livechat.com
          tokenUrl: https://accounts.livechat.com/token
          scopes: {}

````